This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 760594 - Review Request: simcrs - C++ Simulated Travel-Oriented Distribution System Library
Review Request: simcrs - C++ Simulated Travel-Oriented Distribution System Li...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On: 702987 728649 732146 732205 750099
Blocks: 890772
  Show dependency treegraph
 
Reported: 2011-12-06 10:19 EST by Denis Arnaud
Modified: 2015-04-06 12:02 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-16 02:33:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mrunge: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Denis Arnaud 2011-12-06 10:19:18 EST
Spec URL:
http://denisarnaud.fedorapeople.org/sim/simcrs/simcrs-0.1.1-1.spec
SRPM URL:
http://denisarnaud.fedorapeople.org/sim/simcrs/simcrs-0.1.1-1.fc16.src.rpm
Description:
simcrs aims at providing a clean API and a simple implementation, as
a C++ library, of a Travel-oriented Distribution System. It
corresponds to the simulated version of the real-world Computerized
Reservation Systems (CRS). That library uses the Standard Airline IT
C++ object model (http://sf.net/projects/stdair).
Comment 1 Matthias Runge 2012-02-28 05:30:06 EST
I'm taking this one
Comment 2 Matthias Runge 2012-02-28 16:01:27 EST
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[-]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
    names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint simcrs-0.1.1-1.fc18.src.rpm

simcrs.src: W: file-size-mismatch simcrs-0.1.1.tar.bz2 = 742390, http://downloads.sourceforge.net/simcrs/simcrs-0.1.1.tar.bz2 = 742296
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint simcrs-devel-0.1.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simcrs-doc-0.1.1-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simcrs-debuginfo-0.1.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simcrs-0.1.1-1.fc18.i686.rpm

simcrs.i686: E: zero-length /usr/share/doc/simcrs-0.1.1/AUTHORS
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/760594/simcrs-0.1.1.tar.bz2 :
  MD5SUM this package     : ce4180a38518c7edd8eb3d29472af508
  MD5SUM upstream package : 2a5c2d2f157dc4e319d78c02ddb0a144

[x]: MUST Spec file is legible and written in American English.
[!]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
     Note: simcrs-0.1.1-1.spec should be simcrs.spec
[x]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files devel section. This is OK if
     packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5
[!]: MUST Rpmlint output is silent.

rpmlint simcrs-0.1.1-1.fc18.src.rpm

simcrs.src: W: file-size-mismatch simcrs-0.1.1.tar.bz2 = 742390, http://downloads.sourceforge.net/simcrs/simcrs-0.1.1.tar.bz2 = 742296
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint simcrs-devel-0.1.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simcrs-doc-0.1.1-1.fc18.noarch.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simcrs-debuginfo-0.1.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint simcrs-0.1.1-1.fc18.i686.rpm

simcrs.i686: E: zero-length /usr/share/doc/simcrs-0.1.1/AUTHORS
1 packages and 0 specfiles checked; 1 errors, 0 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/760594/simcrs-0.1.1.tar.bz2 :
  MD5SUM this package     : ce4180a38518c7edd8eb3d29472af508
  MD5SUM upstream package : 2a5c2d2f157dc4e319d78c02ddb0a144

See: http://fedoraproject.org/wiki/Packaging/SourceURL
[!]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
     Note: simcrs-0.1.1-1.spec should be simcrs.spec
See: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name


Dennis, are you going to package this for EL5, too? If not, you should clean up a little. There are a few warnings regarding el5.

A larger issue is the mismatch. Could you please double your included sources?
You should rename your spec-file. The version number must go away from file-name.
Comment 3 Denis Arnaud 2012-03-02 02:56:46 EST
Thanks for the review, Matthias!

Of course, the spec file name will change to be simcrs.spec (in the Fedora Git repository). In fact, I use a symbolic link (from simcrs.spec to simcrs-0.1.1-1.spec) and it is enough for rpmlint to be happy when hacking with rpmbuild.
I generally prefer stating explicitly the version number in the spec file name when located on my FedoraPeople's account, as it is easier to spot the right file to use.
[In the future, I will use my GitHub account, and therefore use Git to version the spec file]

Then, you are of course right, the source tar-ball mismatch is not good. I have forgotten to update the tar-ball on FedoraPeople with a latest update. Sorry.

I will deliver a new version this week-end.

Thanks again

Denis
Comment 4 Denis Arnaud 2012-03-08 15:54:15 EST
Spec URL:
http://denisarnaud.fedorapeople.org/sim/simcrs/simcrs.spec
SRPM URL:
http://denisarnaud.fedorapeople.org/sim/simcrs/simcrs-0.1.1-1.fc16.src.rpm
------------

Sorry, the source tar-ball (simcrs-0.1.1.tar.bz2) was not the latest one in the previous source RPM. SourceForge has got the latest one. There were just a few minor differences, which were mainly corrections of typos in the documentation.

Therefore, I have just rebuilt the source RPM with the latest source tar-ball, and refreshed the above-mentioned files.

As for EPEL, yes I intend to maintain that package for EPEL 5.

Thanks!
Comment 5 Matthias Runge 2012-03-19 17:04:44 EDT
Sorry for the delay, it just went off my screen.

I see no further issues.

Package APPROVED
Comment 6 Denis Arnaud 2012-03-24 10:35:31 EDT
New Package SCM Request
=======================
Package Name: simcrs
Short Description: C++ Simulated Travel-Oriented Distribution System Library
Owners: denisarnaud
Branches: f15 f16 f17 el5 el6
FAS username: denisarnaud
Comment 7 Denis Arnaud 2012-03-24 10:42:19 EDT
New Package SCM Request
=======================
Package Name: simcrs
Short Description: C++ Simulated Travel-Oriented Distribution System Library
Owners: denisarnaud
Branches: f15 f16 f17 el5 el6
InitialCC:
Comment 8 Jon Ciesla 2012-03-24 14:41:01 EDT
Git done (by process-git-requests).
Comment 9 Matthias Runge 2012-10-16 02:33:05 EDT
since it's imported and built, I'm closing this bug.
Comment 10 Fedora Update System 2012-11-24 21:58:38 EST
simcrs-0.1.1-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/simcrs-0.1.1-2.fc17
Comment 11 Fedora Update System 2012-12-03 23:53:49 EST
simcrs-0.1.1-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.